package com.tptj.demo.hg.java.script.action.provider;


import com.fr.design.beans.FurtherBasicBeanPane;
import com.fr.design.gui.itextarea.UITextArea;
import com.fr.stable.StringUtils;

import java.awt.*;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-28
 **/
public class DemoPane extends FurtherBasicBeanPane<DemoScript> {

    private UITextArea w_data;

    public DemoPane(){
        w_data = new UITextArea();
        this.setLayout(new BorderLayout());
        this.add(w_data, BorderLayout.CENTER);
    }

    @Override
    public boolean accept(Object o) {
        return o instanceof DemoScript;
    }

    @Override
    public void reset() {
        populateBean(new DemoScript());
    }

    @Override
    public void populateBean(DemoScript obj) {
        w_data.setText( obj.getData() );
    }

    @Override
    public DemoScript updateBean() {
        DemoScript obj = new DemoScript();
        obj.setData( w_data.getText() );
        return obj;
    }

    @Override
    public String title4PopupWindow() {
        return "Demo Script";
    }
}
